package org.example

import io.ktor.server.application.Application
import io.ktor.server.engine.embeddedServer
import io.ktor.server.netty.Netty
import io.ktor.server.routing.route
import org.example.auth.authRoutes
import io.ktor.server.routing.routing
import org.example.auth.sneakerRoutes

fun main() {
    embeddedServer(Netty, port = 8080, host = "localhost") {
        configureSecurity()
        configureSerialization()
        configureRouting()
    }.start(wait = true)
}

fun Application.configureRouting() {
    routing {
        route("/api") {
            authRoutes()
            sneakerRoutes()
        }
    }
}